mfscli(1)

NAME
mfscli - GUI's counterpart in TXT mode

SYNOPSIS
mfscli [-jpn28] [-H master_host] [-P master_port] [-f 0..3] -S(IN|IG|IM|LI|IC|IL|MF|MU|CS|MB|HD|EX|MD|MS|MO|OF|AL|RP|SC|PA|QU|MC|CC) [-s separator] [-o order_id [-r]] [-m mode_id] [-i id] [-a master_data_count] [-b master_data_desc] [-c chunkserver_data_count] [-d chunkserver_data_desc]

mfscli [-pn28] [-H master_host] [-P master_port] [-f 0..3] -C(RC/ip/port|BW/ip/port|M[01]/ip/port|RS/sessionid|TR/ip/port)

mfscli -h

DESCRIPTION
mfscli is a commandline counterpart to MooseFS's GUI interface. All the information available in GUI (except for Charts and Status panes) can be obtained via CLI using different "monitoring options", chart data can be obtained as text.

OPTIONS

  GENERAL OPTIONS

-h  print help message and exit

-j  print result in JSON format

-p  force plain text format on tty devices

-n  do not resolve ip addresses (default when output device is not tty)

-s separator
    field separator to use in plain text format on tty devices (forces -p)

-2  force 256-color terminal color codes

-8  force 8-color terminal color codes

-H master_host
    master address (default: mfsmaster)

-P master_port
    master client port (default: 9421)

-f 0..3
    set frame charset to be displayed as table frames in ttymode;

    0   simple ascii frames '+','-','|' (default)

    1   thick unicode frames

    2   thin unicode frames

    3   double unicode frames (dos style)

-o order_id
    sort data by column specified by 'order id' (depends on data set)

-r  reverse sort order

-m mode_id
    show data specified by 'mode id' (depends on data set)

-i id
    sessionid for -SOF or inode for -SAL

-a master_data_count
    how many master data charts entries (-SMC) should be shown

-b master_data_desc
    define master data charts (-SMC) columns; prefix with '+' for raw data, (pro only) prefix with 'ip:[port:]' for server choice (by default leader master will be used); use 'all' as a chart name for all available charts

-c chunkserver_data_count
    how many chunkserver data charts (-SCC) entries should be shown

-d chunkserver_data_desc
    define chunkserver data charts (-SCC) columns; prefix with '+' for raw data, prefix with 'ip:[port:]' for server choice (by default all servers will be used); use 'all' as a chart name for all available charts

  MONITORING OPTIONS

-SIN
    show full master info (includes: SIG, SIM, SLI, SIC, SIL, SMF, SMU)

-SIG
    show only general cluster summary

-SIM
    show only masters states

-SLI
    (pro only) show only licence info

-SIC
    show only chunks info (target/current redundancy level matrices)

-SIL
    show only self-check loops info (with messages)

-SMF
    show only missing chunks/files

-SMU
    show only master memory usage

-SCS
    show connected chunk servers

-SMB
    show connected metadata backup servers

-SHD
    show hdd data

-SEX
    show exports

-SMD
    show mounts details (includes: SMS, SMO, SOF, SAL)

-SMS
    show only active mounts

-SMO
    show only operation counters

-SOF
    show only open files

-SAL
    show only acquired locks

-SRP
    show redundancy policy (includes: SSC, SPA)

-SSC
    show storage classes

-SPA
    show patterns overrides

-SQU
    show quota info

-SMC
    show master charts data (use with -a and -b)

-SCC
    show chunkserver charts data (use with -c and -d)

  AVAILABLE MASTER CHART DATA COLUMNS (-SMC)

ucpu
    User cpu usage

scpu
    System cpu usage

delete,del
    Number of chunk deletion attempts

replicate,rep,repl
    Number of chunk replication attempts

statfs
    Number of statfs operations

getattr
    Number of getattr operations

setattr
    Number of setattr operations

lookup
    Number of lookup operations

mkdir
    Number of mkdir operations

rmdir
    Number of rmdir operations

symlink
    Number of symlink operations

readlink
    Number of readlink operations

mknod
    Number of mknod operations

unlink
    Number of unlink operations

rename
    Number of rename operations

link
    Number of link operations

readdir
    Number of readdir operations

open
    Number of open operations

readchunk
    Number of chunk_read operations

writechunk
    Number of chunk_write operations

memoryrss,memrss,rmem,mem
    Resident memory usage

prcvd
    Received packets

psent
    Sent packets

brcvd
    Received bytes

bsent
    Sent bytes

memoryvirt,memvirt,vmem
    Virtual memory usage

usedspace
    RAW disk space usage

totalspace
    RAW disk space connected

create
    Number of chunk creation attempts

change
    Number of chunk internal operation attempts

delete_ok
    Number of successful chunk deletions

delete_err
    Number of unsuccessful chunk deletions

replicate_ok
    Number of successful chunk replications

replicate_err
    Number of unsuccessful chunk replications

create_ok
    Number of successful chunk creations

create_err
    Number of unsuccessful chunk creations

change_ok
    Number of successful chunk internal operations

change_err
    Number of unsuccessful chunk internal operations

split_ok
    Number of successful chunk split operations

split_err
    Number of unsuccessful chunk split operations

fileobjects
    Number of file objects

metaobjects
    Number of non-file objects (directories,symlinks,etc.)

chunksec8
    Total number of chunks stored in EC8 format

chunksec4
    Total number of chunks stored in EC4 format

chunkscopy
    Total number of chunks stored in COPY format

chregdanger
    Number of endangered chunks (mark for removal excluded)

chregunder
    Number of undergoal chunks (mark for removal excluded)

challdanger
    Number of endangered chunks (mark for removal included)

challunder
    Number of undergoal chunks (mark for removal included)

bytesread
    Average number of bytes read per second by all clients

byteswrite
    Average number of bytes written per second by all clients

read
    Number of read operations

write
    Number of write operations

fsync
    Number of fsync operations

lock
    Number of lock operations

snapshot
    Number of snapshot operations

truncate
    Number of truncate operations

getxattr
    Number of getxattr operations

setxattr
    Number of setxattr operations

getfacl
    Number of getfacl operations

setfacl
    Number of setfacl operations

fcreate
    Number of file create operations

meta
    Number of extra metadata operations (sclass,trashretention,eattr etc.)

delay
    (pro only) Master max delay in seconds

servers
    Number of all registered chunk servers (both connected and disconnected)

mdservers
    Number of disconnected chunk servers that are in maintenance mode

dservers
    Number of disconnected chunk servers that are not in maintenance mode

udiff
    Difference in space usage percent between the most and least used chunk server

cpu Total cpu usage (scpu + ucpu)

  AVAILABLE CHUNKSERVER CHART DATA COLUMNS (-SCC)

ucpu
    User cpu usage

scpu
    System cpu usage

masterin
    Data received from master

masterout
    Data sent to master

csrepin
    Data received by replicator

csrepout
    Data sent by replicator

csservin
    Data received by csserv

csservout
    Data sent by csserv

hdrbytesr
    Bytes read (headers)

hdrbytesw
    Bytes written (headers)

hdrllopr
    Low level reads (headers)

hdrllopw
    Low level writes (headers)

databytesr
    Bytes read (data)

databytesw
    Bytes written (data)

datallopr
    Low level reads (data)

datallopw
    Low level writes (data)

hlopr
    High level reads

hlopw
    High level writes

rtime
    Read time

wtime
    Write time

repl
    Replicate chunk ops

create
    Create chunk ops

delete
    Delete chunk ops

version
    Set version ops

duplicate
    Duplicate ops

truncate
    Truncate ops

duptrunc
    Duptrunc (duplicate+truncate) ops

test
    Test chunk ops

load
    Server load

memoryrss,memrss,rmem,mem
    Resident memory usage

memoryvirt,memvirt,vmem
    Virtual memory usage

movels
    Low speed move ops

movehs
    High speed move ops

split
    Split ops

usedspace
    Used HDD space in bytes (mark for removal excluded)

totalspace
    Total HDD space in bytes (mark for removal excluded)

chunkcount
    Number of stored chunks (mark for removal excluded)

tdusedspace
    Used HDD space in bytes on disks marked for removal

tdtotalspace
    Total HDD space in bytes on disks marked for removal

tdchunkcount
    Number of chunks stored on disks marked for removal

copychunks
    Number of chunks stored in copy format (all disks)

ec4chunks
    Number of chunk parts stored in EC4 format (all disks)

ec8chunks
    Number of chunk parts stored in EC8 format (all disks)

hddok
    Number of valid folders (hard drives)

hddmfr
    Number of folders (hard drives) that are marked for removal

hdddmg
    Number of folders (hard drives) that are marked as damaged

udiff
    Difference in usage percent between the most and least used disk

cpu Total cpu usage (scpu + ucpu)

  COMMANDS

-CRC/ip/port
    remove selected chunkserver from list of active chunkservers

-CTR/ip/port
    temporarily remove selected chunkserver from list of active chunkservers (master elect only)

-CBW/ip/port
    send selected chunkserver back to work state (from grace state)

-CM1/ip/port
    switch selected chunkserver to maintenance mode

-CM0/ip/port
    switch selected chunkserver to standard mode (from maintenance mode)

-CRS/sessionid
    remove selected session

EXAMPLES

mfscli -SIC -2
    shows table with chunk state matrix (number of chunks for each combination of valid copies and goal set by user) using extended terminal colors (256-colors)

mfscli -SCS -f 1
    shows table with all chunkservers using unicode thick frames

mfscli -SMS -p -s ','
    shows current sessions (mounts) using plain text format and coma as a separator

mfscli -SOF -i 123
    shows files open by processes using session (mount) with id 123

mfscli -SMC -a 10 -b cpu,memoryrss,delete,replicate
    shows master cpu usage, amount of resident memory used by master, number of chunk deletions and number of chunk replications during last ten minutes

mfscli -SCC -c 15 -d 192.168.1.10:9422:cpu,192.168.1.11:9422:cpu
    shows cpu usage of chunkservers located on machines with IP 192.168.1.10 and 192.168.1.11 during last fifteen minutes

mfscli -SCC -d $(mfscli -SCS -p -s ',' | grep '^chunk' | awk -F ',' 'BEGIN {s=""} {printf "%s%s:%s:mem",s,$2,$3 ; s=","}')
    shows resident memory usage of all connected chunkservers (old mfscli - before version 4.32.2)

mfscli -SCC -d mem
    shows resident memory usage of all connected chunkservers (current mfscli)

mfscli -SIN -j
    prints basic infos in JSON format

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2026 Jakub Kruszona-Zawadzki, Saglabs SA This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, see <https://www.gnu.org/licenses/>.

SEE ALSO
mfsmaster(8)